const express = require('express')
const router = express.Router()

const EzeeHelper = require('../helpers/ezeeHelper');
const ezeeHelper = new EzeeHelper(process.env.EZEE_URL);
const availabilityController = require('../controllers/availabilityController');
const AvailabilityController = new availabilityController(ezeeHelper);
const validateToken = require("../middleware/validateTokenHandler");

//Retrieve all employees
router.get('/findByDates', function(...args) {
    return AvailabilityController.findByDates(...args)
});

router.get('/checkAvailability', function(...args) {
    return AvailabilityController.find(...args)
});
module.exports = router